<?php

/**

 * The template part for displaying content

 */

?>



<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

	<header class="entry-header">

		<?php if ( is_sticky() && is_home() && ! is_paged() ) : ?>

			<span class="sticky-post"><?php esc_html_e( 'Featured', 'one-page-business' ); ?></span>

		<?php endif; ?>



		<?php the_title( sprintf( '<h2 class="entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' ); ?>

		

		<?php one_page_business_entry_meta(); ?>

		

	</header><!-- .entry-header -->



	<?php one_page_business_excerpt(); ?>



	<?php one_page_business_post_thumbnail(); ?>



	<div class="entry-content">

		<?php

			/* translators: %s: Name of current post */

			the_content(

				sprintf(

					__( 'Continue reading<span class="screen-reader-text"> "%s"</span>', 'one-page-business' ),

					esc_html(get_the_title())

				)

			);



			wp_link_pages(

				array(

					'before'      => '<div class="page-links"><span class="page-links-title">' . __( 'Pages:', 'one-page-business' ) . '</span>',

					'after'       => '</div>',

					'link_before' => '<span>',

					'link_after'  => '</span>',

					'pagelink'    => '<span class="screen-reader-text">' . esc_html__( 'Page', 'one-page-business' ) . ' </span>%',

					'separator'   => '<span class="screen-reader-text">, </span>',

				)

			);

			?>

	</div><!-- .entry-content -->



	<footer class="entry-footer">

		

		<?php

			edit_post_link(

				sprintf(

					/* translators: %s: Name of current post */

					__( 'Edit<span class="screen-reader-text"> "%s"</span>', 'one-page-business' ),

					esc_html(get_the_title())

				),

				'<span class="edit-link">',

				'</span>'

			);

			?>

	</footer><!-- .entry-footer -->

</article><!-- #post-<?php the_ID(); ?> -->

